#
# spec file for package ghc-commonmark-pandoc
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%global pkg_name commonmark-pandoc
Name:           ghc-%{pkg_name}
Version:        0.2.2
Release:        150500.3.3.1
Summary:        Bridge between commonmark and pandoc AST
License:        BSD-3-Clause
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-commonmark-devel
BuildRequires:  ghc-commonmark-extensions-devel
BuildRequires:  ghc-pandoc-types-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-text-devel
ExcludeArch:    %{ix86}

%description
This library provides typeclasses for rendering commonmark to Pandoc types.

%package devel
Summary:        Haskell %{pkg_name} library development files
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development
files.

%prep
%autosetup -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%license LICENSE

%files devel -f %{name}-devel.files
%doc README.md changelog.md

%changelog
* Mon Dec 11 2023 psimons@suse.com
- Update commonmark-pandoc to version 0.2.2.
  [#]# 0.2.2
  - Add support for alerts extension (#132).
  [#]# 0.2.1.3
  - Allow pandoc-types 1.23.
* Fri Jan 14 2022 psimons@suse.com
- Update commonmark-pandoc to version 0.2.1.2.
  [#]# 0.2.1.2
  - Fix addition of sourcepos attributes to blocks (jgm/pandoc#7769).
    We were always adding an enclosing Div, even when the block
    admits attributes. Now the attributes are added to the block
    itself, unless it can't accept attributes (as with inlines).
* Thu Jul  1 2021 psimons@suse.com
- Update commonmark-pandoc to version 0.2.1.1.
  [#]# 0.2.1.1
  - Don't collapse Para to Plain in task lists (#77).
* Sat May 29 2021 psimons@suse.com
- Update commonmark-pandoc to version 0.2.1.
  [#]# 0.2.1
  - commonmark-pandoc.cabal: remove unneeded build-depend on containers.
  - Support wikilinks extension.
* Thu Dec 17 2020 mimi.vx@gmail.com
- disable %%{ix86} build
* Tue Sep 22 2020 psimons@suse.com
- Update commonmark-pandoc to version 0.2.0.1.
  [#]# 0.2.0.1
  - Allow pandoc-types 1.22.
* Tue Sep 15 2020 normand@linux.vnet.ibm.com
- Add _constraints with 4GB min disk space
* Tue Aug 18 2020 psimons@suse.com
- Replace %%setup -q with the more modern %%autosetup macro.
* Tue Aug  4 2020 psimons@suse.com
- Add commonmark-pandoc at version 0.2.0.0.
